Bug 480959 - rhn-oracle-jdbc & oracle-instantclient-basic file conflict during 520 -> 530 upgrade
rhn-oracle-jdbc & oracle-instantclient-basic file conflict during 520 -> 530 ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-01-21 10:15 EST by Milan Zazrivec
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-01-21 10:15:07 EST
Description of problem:
* Satellite 5.2.0, upgrade to Satellite-5.3.0-RHEL5-re20090119.1:

file /usr/share/java/ojdbc14.jar from install of oracle-instantclient-basic-10.2.0-23.el5 conflicts with file from package rhn-oracle-jdbc-1.0-13.el5

# rpm -qp --obsoletes oracle-instantclient-basic-10.2.0-23.el5.i386.rpm 
(none)
# rpm -qpl oracle-instantclient-basic-10.2.0-23.el5.i386.rpm 
/etc/ld.so.conf.d/oracle-instantclient.conf
/usr/lib/oracle/10.2.0.4/client/bin/genezi
/usr/lib/oracle/10.2.0.4/client/lib/classes12.jar
/usr/lib/oracle/10.2.0.4/client/lib/libclntsh.so.10.1
/usr/lib/oracle/10.2.0.4/client/lib/libnnz10.so
/usr/lib/oracle/10.2.0.4/client/lib/libocci.so.10.1
/usr/lib/oracle/10.2.0.4/client/lib/libociei.so
/usr/lib/oracle/10.2.0.4/client/lib/libocijdbc10.so
/usr/lib/oracle/10.2.0.4/client/lib/ojdbc14.jar
/usr/share/java/ojdbc14.jar
# rpm -ql rhn-oracle-jdbc
/usr/share/java/ojdbc14.jar

Version-Release number of selected component (if applicable):
oracle-instantclient-basic-10.2.0-23
Comment 1 Milan Zazrivec 2009-01-21 11:53:35 EST
I had oracle-instantclient-basic obsolete rhn-oracle-jdbc <= 1.0-20

Sending        oracle-instantclient/oracle-instantclient.spec
Transmitting file data .
Committed revision 180635.
Comment 2 Milan Zazrivec 2009-01-21 12:37:19 EST
Built oracle-instantclient-10.2.0-27.el4sat & tagged it for
satellite-4E-5.3 in task 1656270.

Built oracle-instantclient-10.2.0-27.el5sat & tagged it for
satellite-5E-5.3 in task 1656268.
Comment 3 Jeff Browning 2009-05-13 03:20:34 EDT
Verified
Comment 4 Miroslav Suchý 2009-08-26 10:09:15 EDT
verified in stage on xen15

* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        mtools
        syslinux
        tcsh
* Now running setup.

no errors in /var/log/rhn/rhn-installation.log
Comment 5 Brandon Perkins 2009-08-27 13:38:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.